Last Comment Bug 750056 - Launcher panel moves to the top of about:home page when in RTL mode
: Launcher panel moves to the top of about:home page when in RTL mode
Status: RESOLVED FIXED
[about-home][fixed by bug 750551][qa+]
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: 13 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Jared Wein [:jaws] (please needinfo? me)
:
Mentors:
Depends on: 750551
Blocks: 711157
  Show dependency treegraph
 
Reported: 2012-04-29 06:26 PDT by Jared Wein [:jaws] (please needinfo? me)
Modified: 2013-11-13 03:07 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
+
verified
verified


Attachments
Screenshot of bug (213.35 KB, image/png)
2012-04-29 06:26 PDT, Jared Wein [:jaws] (please needinfo? me)
no flags Details
Patch for bug (949 bytes, patch)
2012-05-03 21:41 PDT, Jared Wein [:jaws] (please needinfo? me)
dao+bmo: review-
Details | Diff | Splinter Review
Patch for bug v2 (959 bytes, patch)
2012-05-04 07:12 PDT, Jared Wein [:jaws] (please needinfo? me)
dao+bmo: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Jared Wein [:jaws] (please needinfo? me) 2012-04-29 06:26:45 PDT
Created attachment 619389 [details]
Screenshot of bug

I haven't figured out why yet, but the launcher area (with links to Downloads, Bookmarks, History, etc) that is located at the bottom of about:home in LTR mode, moves to the top of the page when in RTL mode.

Tested with 4/27 UX Nightly build and also seen on a local build of mozilla-central. RTL mode was achieved using the Force RTL mode add-on, which should simulate an RTL environment but there is a possibility that true RTL mode may function differently (I don't expect this to be the case though).

Screenshot of the bug attached.
Comment 1 Jared Wein [:jaws] (please needinfo? me) 2012-04-30 06:58:44 PDT
This also makes the link to http://www.mozilla.org/about/ inaccessible. The link is in the top-right position for LTR, and should be in the top-left position for RTL.
Comment 2 Frank Yan (:fryn) 2012-04-30 07:28:49 PDT
(In reply to Jared Wein [:jaws] from comment #1)
> The
> link is in the top-right position for LTR, and should be in the top-left
> position for RTL.

No, the link is fine in the top right. Stephen and I discussed that. Not everything needs to be mirrored, and it's a non-localized wordmark anyway.
The launcher does need to be fixed though. I'll do that. Thanks for discovering and reporting this bug.
Comment 3 Frank Yan (:fryn) 2012-04-30 07:30:51 PDT
Ugh, form restore bites me again.
Comment 4 Jared Wein [:jaws] (please needinfo? me) 2012-04-30 13:28:36 PDT
Oh ok, the Mozilla link actually sits at the bottom right of the page when in RTL mode.
Comment 5 Jared Wein [:jaws] (please needinfo? me) 2012-04-30 16:14:14 PDT
I've tracked it down to the display:-moz-box and -moz-box-orient:vertical properties on <body>.
Comment 6 Jared Wein [:jaws] (please needinfo? me) 2012-04-30 16:30:55 PDT
This is a result of a layout bug, I'm in the process of filing it now.
Comment 7 Jared Wein [:jaws] (please needinfo? me) 2012-05-03 21:41:03 PDT
Created attachment 620959 [details] [diff] [review]
Patch for bug

This patch would only be fore Fx13 beta and Fx14 aurora since the cause of the bug has been fixed in Fx15 nightly.
Comment 8 Jared Wein [:jaws] (please needinfo? me) 2012-05-03 22:11:20 PDT
I'll add a comment to the CSS before landing to state that this is due to bug 750551.
Comment 9 Dão Gottwald [:dao] 2012-05-04 05:28:13 PDT
Comment on attachment 620959 [details] [diff] [review]
Patch for bug

use the child selector

(There's no strong need to add a comment for bug 750551, as long as you don't land this on central.)
Comment 10 Jared Wein [:jaws] (please needinfo? me) 2012-05-04 07:12:51 PDT
Created attachment 621041 [details] [diff] [review]
Patch for bug v2

Gladly taking this :-)
Comment 11 Jared Wein [:jaws] (please needinfo? me) 2012-05-04 08:47:48 PDT
Comment on attachment 621041 [details] [diff] [review]
Patch for bug v2

[Approval Request Comment]
Regression caused by (bug #): bug 750551 

User impact if declined:
The new about:home design has its elements out of order in RTL mode.

Testing completed (on m-c, etc.):
Locally, but specifically not landed on mozilla-central because bug 750551 will be fixed in Fx15-Nightly. Bug 750551 will intentionally not land in Fx13-Beta or Fx14-Aurora since it has the potential to break layouts of websites.

Risk to taking this patch (and alternatives if risky): none expected
String changes made by this patch: none
Comment 12 Alex Keybl [:akeybl] 2012-05-06 19:00:39 PDT
Comment on attachment 621041 [details] [diff] [review]
Patch for bug v2

[Triage Comment]
If the CSS changes could cause regressions outside of RTL, I would have suggested we land on Aurora 14 a few days before Beta 13. Since that isn't the case, approving for both versions.
Comment 14 Jared Wein [:jaws] (please needinfo? me) 2012-05-08 21:00:52 PDT
Frank tested bug 750551 on mozilla-central to make sure that this bug has been fixed on trunk.
Comment 15 Simona B [:simonab ] -PTO- back Sept 5th 2012-05-11 05:23:35 PDT
Verified on Firefox 13 beta 3 that when in RTL mode the Launcher panel of the about:home page is located at the bottom. 

Verified on Windows 7, Ubuntu 12.04 and Mac OS X 10.7 using the instructions from the description on an en-US build (installed and enabled the Force RTL add-on) and on an RTL build (ar).

Mozilla/5.0 (Windows NT 6.1; rv:13.0) Gecko/20100101 Firefox/13.0
Mozilla/5.0 (X11; Linux i686; rv:13.0) Gecko/20100101 Firefox/13.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:13.0) Gecko/20100101 Firefox/13.0
Comment 16 Simona B [:simonab ] -PTO- back Sept 5th 2012-06-18 07:01:35 PDT
Verified on Firefox 14 beta 7 that when in RTL mode the Launcher panel of the about:home page is located at the bottom. 

Verified on Windows 7, Ubuntu 12.04 and Mac OS X 10.6 using the instructions from the description on an en-US build (installed and enabled the Force RTL add-on) and on an RTL build (ar).

Build identifier: Mozilla/5.0 (Windows NT 6.1; rv:14.0) Gecko/20100101 Firefox/14.0
معرّف البناء: Mozilla/5.0 (Windows NT 6.1; rv:14.0) Gecko/20100101 Firefox/14.0

Build identifier: Mozilla/5.0 (X11; Linux i686; rv:14.0) Gecko/20100101 Firefox/14.0
معرّف البناء: Mozilla/5.0 (X11; Linux i686; rv:14.0) Gecko/20100101 Firefox/14.0

Build identifier: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:14.0) Gecko/20100101 Firefox/14.0
معرّف البناء: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:14.0) Gecko/20100101 Firefox/14.0
Comment 17 Simona B [:simonab ] -PTO- back Sept 5th 2012-07-27 08:06:31 PDT
Verified on Firefox 15 beta 2 that when in RTL mode (that was achieved on an en-Us build with the add-on Force RTL or on an ar build) that the Launcher panel of the about:home page is located at the bottom.

Verified on Windows 7, Ubuntu 12.04 and Mac OS X 10.6.

Build identifier: Mozilla/5.0 (Windows NT 6.1; rv:15.0) Gecko/20100101 Firefox/15.0
معرّف البناء: Mozilla/5.0 (Windows NT 6.1; rv:15.0) Gecko/20100101 Firefox/15.0

Build identifier: Mozilla/5.0 (X11; Linux i686; rv:15.0) Gecko/20100101 Firefox/15.0	
معرّف البناء: Mozilla/5.0 (X11; Linux i686; rv:15.0) Gecko/20100101 Firefox/15.0

Build identifier: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:15.0) Gecko/20100101 Firefox/15.0
معرّف البناء: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:15.0) Gecko/20100101 Firefox/15.0

Note You need to log in before you can comment on or make changes to this bug.